Reply to topic

WPS Office not working

User avatar waynes
Registered Member
Posts
56
Karma
0

WPS Office not working

Wed Jun 28, 2017 12:27 pm
Just installed WPS, my go to office suite. Installation went fine, but the application won't open.
When I click the icon in the menu, the disclaimer comes up which I accept, but that's it.
This works fine on all the 'buntus.
Any ideas?
User avatar toad
Global Moderator
Posts
1256
Karma
7
OS

Re: WPS Office not working

Wed Jun 28, 2017 1:07 pm
And which distro might you be having? Also, how did you install it?

Try opening it from the command line. That should give some more feedback.


Debian testing
ralgozino
Registered Member
Posts
2
Karma
0
OS

Re: WPS Office not working

Wed Jun 28, 2017 1:12 pm
The same here. After last update WPS doens't open. It throws this error:
/usr/bin/et: line 38: 12619 Segmentation fault ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"

EDIT: running Neon User Edition up to date.
User avatar waynes
Registered Member
Posts
56
Karma
0

Re: WPS Office not working

Wed Jun 28, 2017 1:20 pm
Using Neon user edition 5.10.3, Fully upto date.
Getting the same error as the previous poster from command line.
I installed using qapt, although I had to run "sudo dpkg --configure -a" afterward, to fully install it.
User avatar toad
Global Moderator
Posts
1256
Karma
7
OS

Re: WPS Office not working

Wed Jun 28, 2017 1:25 pm
Hm, a seg fault is never nice. Quite clearly that office suite is not built with Neon in mind and I very much doubt you'll ever get it running. Time to ask their developers for advice as they know all about it.

Sorry I cannot be of more help.


Debian testing
ralgozino
Registered Member
Posts
2
Karma
0
OS

Re: WPS Office not working

Wed Jun 28, 2017 2:02 pm
I've tried renaming the
Code: Select all
~/.config/Kingsoft/Office.conf
file, and it kinda wanted to work. I got the License agreement window and then segmentation fault again. I'm thinking on a depencies version problem.
raddison
Registered Member
Posts
512
Karma
0

Re: WPS Office not working

Wed Jun 28, 2017 10:00 pm
I recall I installed WPS on Neon way back (the .deb with Qapt). Also recall WPS crashing on first launch. After the initial crash it worked pretty well (the templates wouldn't load at all but I don't care about those anyways). At any rate, for whatever reason, Plasma and WPS don't seem to favor each other. I'd like it open-sourced and free for GNU/Linux. Not sure it will ever happen but I'm confident.

Edit: Same result on Kubuntu 16.04.3 with back-ported plasma version 5.8.7.

Last edited by raddison on Sat Sep 16, 2017 8:47 pm, edited 2 times in total.


Proud to be powered by Plasma
User avatar projetolinuxkdu
Registered Member
Posts
1
Karma
0

Re: WPS Office not working

Sat Sep 16, 2017 6:01 pm
Ola Pessoal...
Segue um script para gerar a solução no GNU/Linux KDu4 Alpha2 KDE-Plasma.

#!/bin/bash

# https://linuxdicasesuporte.blogspot.com ... ntu-e.html
# The dependency should correspond with the package name.
#
# Instalar o qt4-qtconfig - Isso é para se evitar o erro reportado pelo membro da comunidade
# Correção wps - Erro de Falaha de Segmentação:
# /usr/bin/wps, linha 38: 13405 Falha de segmentação ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"
# Otimizado para uso no GNU/Linux KDu4 Alpha2 KDE-Plasma
# Abra o qtconfig e set para GTK em "Select GUI Style" Salve, saia e e execute o WPS

clear

dependencies=(
"http://mirrors.kernel.org/ubuntu/pool/main/libp/libpng/libpng12-0_1.2.54-1ubuntu1_amd64.deb"
"http://kdl.cc.ksosoft.com/wps-community/download/fonts/wps-office-fonts_1.0_all.deb"
"http://repo.uniaolivre.com/packages/trusty/main/wps-office-mui-pt-br_1.1.0-0kaiana1_all.deb"
"http://kdl1.cache.wps.com/ksodl/download/linux/a21//wps-office_10.1.0.5707~a21_amd64.deb"
"http://br.archive.ubuntu.com/ubuntu/pool/universe/q/qt4-x11/qt4-qtconfig_4.8.7+dfsg-7ubuntu1_amd64.deb"
)
package_name=(
"libpng12-0_1.2.54-1ubuntu1_amd64.deb"
"wps-office-fonts_1.0_all.deb"
"wps-office-mui-pt-br_1.1.0-0kaiana1_all.deb"
"wps-office_10.1.0.5707~a21_amd64.deb"
"qt4-qtconfig_4.8.7+dfsg-7ubuntu1_amd64.deb"
)
for (( x=0; x<${#dependencies[@]}; x++ )); do
wget -c ${dependencies[${x}]}
done
for (( x=0; x<${#package_name[@]}; x++ )); do
sudo dpkg --install ${package_name[${x}]}
# Abrindo o qtconfig para setar GTK em "Select GUI Style" Salve, saia e e execute o WPS
xterm -bg darkblue -fg white -title "Setando GTK para o ambiente sem QT cfgs." -e '
echo -e "\n\n\n Configurando o ambiente QT,\n\n Set "Select GUI Style" para GTK"; /usr/bin/qtconfig'
sleep 5
sudo apt update -y; sudo apt dist-upgrade -y
done

Now open WPS it is fine working
raddison
Registered Member
Posts
512
Karma
0

Re: WPS Office not working

Sat Sep 16, 2017 8:13 pm
projetolinuxkdu wrote:Ola Pessoal...
Segue um script para gerar a solução no GNU/Linux KDu4 Alpha2 KDE-Plasma.

#!/bin/bash

# https://linuxdicasesuporte.blogspot.com ... ntu-e.html
# The dependency should correspond with the package name.
#
# Instalar o qt4-qtconfig - Isso é para se evitar o erro reportado pelo membro da comunidade
# Correção wps - Erro de Falaha de Segmentação:
# /usr/bin/wps, linha 38: 13405 Falha de segmentação ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"
# Otimizado para uso no GNU/Linux KDu4 Alpha2 KDE-Plasma
# Abra o qtconfig e set para GTK em "Select GUI Style" Salve, saia e e execute o WPS

clear

dependencies=(
"http://mirrors.kernel.org/ubuntu/pool/main/libp/libpng/libpng12-0_1.2.54-1ubuntu1_amd64.deb"
"http://kdl.cc.ksosoft.com/wps-community/download/fonts/wps-office-fonts_1.0_all.deb"
"http://repo.uniaolivre.com/packages/trusty/main/wps-office-mui-pt-br_1.1.0-0kaiana1_all.deb"
"http://kdl1.cache.wps.com/ksodl/download/linux/a21//wps-office_10.1.0.5707~a21_amd64.deb"
"http://br.archive.ubuntu.com/ubuntu/pool/universe/q/qt4-x11/qt4-qtconfig_4.8.7+dfsg-7ubuntu1_amd64.deb"
)
package_name=(
"libpng12-0_1.2.54-1ubuntu1_amd64.deb"
"wps-office-fonts_1.0_all.deb"
"wps-office-mui-pt-br_1.1.0-0kaiana1_all.deb"
"wps-office_10.1.0.5707~a21_amd64.deb"
"qt4-qtconfig_4.8.7+dfsg-7ubuntu1_amd64.deb"
)
for (( x=0; x<${#dependencies[@]}; x++ )); do
wget -c ${dependencies[${x}]}
done
for (( x=0; x<${#package_name[@]}; x++ )); do
sudo dpkg --install ${package_name[${x}]}
# Abrindo o qtconfig para setar GTK em "Select GUI Style" Salve, saia e e execute o WPS
xterm -bg darkblue -fg white -title "Setando GTK para o ambiente sem QT cfgs." -e '
echo -e "\n\n\n Configurando o ambiente QT,\n\n Set "Select GUI Style" para GTK"; /usr/bin/qtconfig'
sleep 5
sudo apt update -y; sudo apt dist-upgrade -y
done

Now open WPS it is fine working



@projetolinuxkdu

Muito obrigado! :)

As WPS is proprietary and closed-source, do you happen to know whether it sends anything to mothership (as in spyware?) I haven't sniffed the traffic yet but I will. I hate to admit it but it's better-looking, snappier and more compatible with those darn patented Mikerosoft formats than LibreOffice and it's got night mode. What's your plasma version, If I may?

Again, I like WPS a lot but It makes me feel uneasy because I still don't know whether it's mining any data or not.

Last edited by raddison on Wed Sep 27, 2017 4:09 pm, edited 2 times in total.


Proud to be powered by Plasma
raddison
Registered Member
Posts
512
Karma
0

Re: WPS Office not working

Sun Sep 17, 2017 3:45 pm
I'm sure Richard M. Stallman wouldn't agree to what I've just done and I still cannot assess the risk/benefit ratio but I've done it.

1.
Code: Select all
sudo apt install qt4-qtconfig

2. Selected GTK+ in Qt Conifiguration GUI and saved

3.
Code: Select all
mkdir wps-tmp

4.
Code: Select all
cd wps-tmp

5.
Code: Select all
wget http://ftp.us.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb

6.
Code: Select all
sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb

7.
Code: Select all
wget http://kdl1.cache.wps.com/ksodl/download/linux/a21//wps-office_10.1.0.5707~a21_amd64.deb -O wps-office.deb

8.
Code: Select all
wget http://kdl.cc.ksosoft.com/wps-community/download/fonts/wps-office-fonts_1.0_all.deb -O fonts.deb

9.
Code: Select all
sudo dpkg -i *.deb

10.
Code: Select all
cd ; rm -fr wps-tmp


WPS now works flawlessly on my system. Haven't encountered any issues whatsoever and it launches blazingly fast. No sign of any templates which is cool. No adds whatsoever.

Perhaps it's worth mentioning I'm on Neon LTS edition.

Perhaps it's worth mentioning that Baloo File Indexing Daemon has thrown a message:
Application: Baloo File Indexing Daemon (baloo_file), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbe29dd88c0 (LWP 1372))]

Thread 2 (Thread 0x7fbe1f1fe700 (LWP 1383)):
#0 0x00007fbe27eb170d in poll () at ../sysdeps/unix/syscall-template.S:84
#1 0x00007fbe24eaa38c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007fbe24eaa49c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007fbe28ada75b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4 0x00007fbe28a850ba in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5 0x00007fbe288b4f64 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6 0x00007fbe29ef0735 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7 0x00007fbe288b9b48 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8 0x00007fbe275416ba in start_thread (arg=0x7fbe1f1fe700) at pthread_create.c:333
#9 0x00007fbe27ebd3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fbe29dd88c0 (LWP 1372)):
[KCrash Handler]
#6 0x00007fbe27deb428 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:54
#7 0x00007fbe27ded02a in __GI_abort () at abort.c:89
#8 0x00007fbe27e2d7ea in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7fbe27f46e98 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
#9 0x00007fbe27e3637a in malloc_printerr (ar_ptr=<optimized out>, ptr=<optimized out>, str=0x7fbe27f46f60 "double free or corruption (fasttop)", action=3) at malloc.c:5006
#10 _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at malloc.c:3867
#11 0x00007fbe27e3a53c in __GI___libc_free (mem=<optimized out>) at malloc.c:2968
#12 0x0000000000421ef0 in ?? ()
#13 0x000000000041fbf6 in ?? ()
#14 0x00007fbe28ab21f6 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#15 0x0000000000426994 in ?? ()
#16 0x00007fbe28ab21f6 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007fbe28b2a99e in QSocketNotifier::activated(int, QSocketNotifier::QPrivateSignal) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#18 0x00007fbe28abe3eb in QSocketNotifier::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#19 0x00007fbe28a870bb in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#20 0x00007fbe28adabfd in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#21 0x00007fbe24eaa197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fbe24eaa3f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fbe24eaa49c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#24 0x00007fbe28ada73f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#25 0x00007fbe28a850ba in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#26 0x00007fbe28a8d6cc in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#27 0x000000000040aacb in ?? ()
#28 0x00007fbe27dd6830 in __libc_start_main (main=0x40a640, argc=1, argv=0x7ffd16fd27e8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd16fd27d8) at ../csu/libc-start.c:291
#29 0x000000000040ab89 in _start ()


Don't know if that has any minor or major significance and I haven't yet tried to achieve reproducibility. But WPS as such works wonderfully on Plasma (I'll check if it also works on 5.10.5 and above as my current one is obviously 5.8.7. I'll keep an eye on it.

Note to myself: dude, if you wanna get rid of it use:
Code: Select all
sudo apt remove --purge wps-*
and
Code: Select all
sudo rm -fr /opt/kingsoft



@waynes So? What's your take on it. Seems to work just fine, hmm? ;)

Edit: I have the tendency to get excited and post before proper assessment of the software. Corrections downstream.

Last edited by raddison on Sun Sep 24, 2017 11:00 am, edited 1 time in total.


Proud to be powered by Plasma
User avatar waynes
Registered Member
Posts
56
Karma
0

Re: WPS Office not working

Sun Sep 17, 2017 5:14 pm
Hi raddison.
Excellent clear instructions. Seems to work fine on Neon LTS. I will use it over the next few days & report back if I hit any issues.
Thanks.
raddison
Registered Member
Posts
512
Karma
0

Re: WPS Office not working

Sun Sep 17, 2017 6:21 pm
waynes wrote:Hi raddison.
Excellent clear instructions. Seems to work fine on Neon LTS. I will use it over the next few days & report back if I hit any issues.
Thanks.


@Waynes You're welcome. I just structured it a bit and checked if it works. All credit for helping us out goes to @projetolinuxkdu Thanks man! ;)


Proud to be powered by Plasma
raddison
Registered Member
Posts
512
Karma
0

Re: WPS Office not working

Sun Sep 17, 2017 8:52 pm
Opla! I think instead of this

5.
Code: Select all
wget http://ftp.us.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb


you can choose from here https://packages.ubuntu.com/xenial/amd6 ... 0/download Seems I've installed from Debian instead of Ubuntu :D

BUT I'd rather apt install the package. What's its exact name though? ??? Don't know. Help wanted. Read upstream (+link), otherwise you won't get it. Definitely like Linux.


Proud to be powered by Plasma
User avatar waynes
Registered Member
Posts
56
Karma
0

Re: WPS Office not working

Mon Sep 18, 2017 7:44 am
The libpng package in the official repos is more recent, "libpng12-0" which is version 1.2.54 instead of 1.2.50.
I have installed it without it seeming to have any adverse effects.
@raddison.. So maybe steps Nos 5 & 6, simply want changing to:
Code: Select all
sudo apt install libpng12-0
raddison
Registered Member
Posts
512
Karma
0

Re: WPS Office not working

Mon Sep 18, 2017 8:50 am
waynes wrote:The libpng package in the official repos is more recent, "libpng12-0" which is version 1.2.54 instead of 1.2.50.
I have installed it without it seeming to have any adverse effects.
@raddison.. So maybe steps Nos 5 & 6, simply want changing to:
Code: Select all
sudo apt install libpng12-0


Agreed. Apt for qt4-qtconfig and libpng12-0 and dpkg for the rest.


Proud to be powered by Plasma

 
Reply to topic

Bookmarks



Who is online

Registered users: aaronwilliams, Baidu [Spider], Bing [Bot], Exabot [Bot], Google [Bot], lueck, Sogou [Bot]